<?php
require_once 'scripts/users_scripts.php';
$analytics = getAnalytics($user_id);
?>

<h3>Аналитика</h3>
<div class="row">
    <div class="col-md-6">
        <h4>Прослушивания по трекам</h4>
        <canvas id="trackStreamsChart"></canvas>
    </div>
    <div class="col-md-6">
        <h4>Прослушивания по дням</h4>
        <canvas id="dailyStreamsChart"></canvas>
    </div>
</div>

<script>
    // Создание графиков для аналитики
    var trackStreamsCtx = document.getElementById('trackStreamsChart').getContext('2d');
    var dailyStreamsCtx = document.getElementById('dailyStreamsChart').getContext('2d');

    var trackStreamsChart = new Chart(trackStreamsCtx, {
        type: 'bar',
        data: {
            labels: <?php echo json_encode(array_column($analytics['track_streams'], 'title')); ?>,
            datasets: [{
                label: 'Прослушивания',
                data: <?php echo json_encode(array_column($analytics['track_streams'], 'streams')); ?>,
                backgroundColor: 'rgba(75, 192, 192, 0.6)',
                borderColor: 'rgba(75, 192, 192, 1)',
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            }
        }
    });

    var dailyStreamsChart = new Chart(dailyStreamsCtx, {
        type: 'line',
        data: {
            labels: <?php echo json_encode(array_column($analytics['daily_streams'], 'date')); ?>,
            datasets: [{
                label: 'Прослушивания',
                data: <?php echo json_encode(array_column($analytics['daily_streams'], 'streams')); ?>,
                fill: false,
                borderColor: 'rgb(75, 192, 192)',
                tension: 0.1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            }
        }
    });
</script>
