<?php
// Файл: scripts/admin_functions.php

function getTracksOnModeration() {
    global $mysqli;
    $query = "SELECT * FROM tracks WHERE status = 'moderation' ORDER BY created_at DESC";
    $result = $mysqli->query($query);
    if ($result === false) {
        // Логирование ошибки
        error_log("MySQL Error: " . $mysqli->error);
        return [];
    }
    return $result->fetch_all(MYSQLI_ASSOC);
}

function approveTrack($trackId) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE tracks SET status = 'approved' WHERE id = ?");
    $stmt->bind_param("i", $trackId);
    return $stmt->execute();
}

function rejectTrack($trackId, $comment) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE tracks SET status = 'rejected', moderation_comment = ? WHERE id = ?");
    $stmt->bind_param("si", $comment, $trackId);
    return $stmt->execute();
}

function requestChanges($trackId, $comment) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE tracks SET status = 'changes_requested', moderation_comment = ? WHERE id = ?");
    $stmt->bind_param("si", $comment, $trackId);
    return $stmt->execute();
}

function getFilteredUsers($search, $filter) {
    global $mysqli;

    $query = "SELECT * FROM users WHERE 1=1";

    if (!empty($search)) {
        $search = $mysqli->real_escape_string($search);
        $query .= " AND (name LIKE '%$search%' OR email LIKE '%$search%')";
    }

    switch ($filter) {
        case 'active':
            $query .= " AND is_blocked = 0";
            break;
        case 'blocked':
            $query .= " AND is_blocked = 1";
            break;
        case 'verified':
            $query .= " AND is_verified = 1";
            break;
    }

    $result = $mysqli->query($query);
    return $result->fetch_all(MYSQLI_ASSOC);
}

function blockUser($user_id) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE users SET is_blocked = 1 WHERE id = ?");
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
}

function unblockUser($user_id) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE users SET is_blocked = 0 WHERE id = ?");
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
}

function verifyArtist($user_id) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE users SET is_verified = 1 WHERE id = ?");
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
}
